Package: org.grails.web.databinding.bindingsource

## [Groovy] Class HalGPathResultMap

- org.grails.web.databinding.bindingsource.HalGPathResultMap

-     class HalGPathResultMap
      extends GPathResultMap

  Authors:
    Jeff Brown
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResultMap` | `gpath, id`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalGPathResultMap (groovy.util.slurpersupport.GPathResult gpath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `protected java.lang.String` | `getPropertyNameForNode(groovy.util.slurpersupport.Node node)`
    `` | `protected java.lang.String` | `getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResultMap` | `clear, containsKey, containsValue, entrySet, get, getPropertyNameForNode, getPropertyNameForNodeChild, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### HalGPathResultMap(groovy.util.slurpersupport.GPathResult gpath)

  - ### Method Detail

    - #### java.lang.Object get(java.lang.Object key)

    - #### protected java.lang.String getPropertyNameForNode(groovy.util.slurpersupport.Node node)

    - #### protected java.lang.String getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)